Subject: Re: bug#18626: 24.3.94; communication with subprocess is slow

From: Eli Zaretskii <[email-masked]>
Date: Fri, 10 Oct 2014 12:13:27 +0300

> From: Stephen Leake <[email-masked]>
> Cc: [email-masked]
> Date: Fri, 10 Oct 2014 03:07:02 -0500
> 
> > I think I will set that to -1, on the trunk, except on Windows 9X
> > systems.  That should cause the reader thread yield its time slice
> > before returning.  Can you see how this affects your use case?
> 
> That has essentially no effect when running on a multi-core machine; the
> subprocess is scheduled separately.

Well, yes, but the other cores could be busy, e.g., by "make -jN", or
even by other Emacs subprocesses running in parallel.  Also, don't
forget that Emacs itself has at least 3 active threads when even a
single subprocess is running: the main (a.k.a. "Lisp") thread, the
input thread which reads Windows messages, and the reader thread.